org.apache.mina.example.sumup.message

## Class AddMessage

- java.lang.Object
- - org.apache.mina.example.sumup.message.AbstractMessage
  - - org.apache.mina.example.sumup.message.AddMessage

- All Implemented Interfaces:
    Serializable

      public class AddMessage
      extends AbstractMessage

  `ADD` message in SumUp protocol.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `void` | `setValue(int value)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.mina.example.sumup.message.AbstractMessage

      `getSequence, setSequence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AddMessage

          public AddMessage()

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### setValue

          public void setValue(int value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.